Skip to content

Delete a redirect

Request

You can delete a single redirect by making a DELETE request to https://api.intercom.io/help_center/help_centers/{help_center_id}/redirects/{id}.

Requires the read_write_help_center_redirects_scope OAuth scope.

Security
bearerAuth
Path
help_center_idstringrequired

The unique identifier for the help center.

Example:123
idstringrequired

The unique identifier for the redirect.

Example:26
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X DELETE \
  https://api.intercom.io/help_center/help_centers/123/redirects/26 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

redirect deleted

Bodyapplication/json
idstring

The unique identifier for the redirect which you provided in the URL.

Example:"26"
objectstring

The type of object which was deleted. - help_center_redirect

Value:"help_center_redirect"
Example:"help_center_redirect"
deletedboolean

Whether the redirect was deleted successfully or not.

Example:true
Response
{ "id": "26", "object": "help_center_redirect", "deleted": true }